aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gnome-disk-utility
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2018-02-13 15:12:24 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2018-02-13 15:12:44 +0000
commitaab75a978af28c82d1ecf47856081f8ef5ad75d4 (patch)
treefa248055ade2cd48f27006f260d59e0142e89891 /testing/gnome-disk-utility
parentd131db6d9d084e11911b6899b9429a17345706a2 (diff)
downloadaports-aab75a978af28c82d1ecf47856081f8ef5ad75d4.tar.gz
aports-aab75a978af28c82d1ecf47856081f8ef5ad75d4.tar.bz2
aports-aab75a978af28c82d1ecf47856081f8ef5ad75d4.tar.xz
testing/gnome-*: disable on s390x
Diffstat (limited to 'testing/gnome-disk-utility')
-rw-r--r--testing/gnome-disk-utility/APKBUILD68
1 files changed, 68 insertions, 0 deletions
diff --git a/testing/gnome-disk-utility/APKBUILD b/testing/gnome-disk-utility/APKBUILD
new file mode 100644
index 0000000000..265c0053fc
--- /dev/null
+++ b/testing/gnome-disk-utility/APKBUILD
@@ -0,0 +1,68 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gnome-disk-utility
+pkgver=3.12.1
+pkgrel=0
+pkgdesc="GNOME libraries and applications for dealing with storage devices"
+url="http://www.gnome.org"
+arch="all !s390x"
+license="GPL"
+depends=""
+makedepends="gnome-doc-utils intltool dbus-glib-dev libunique-dev avahi-dev
+ udisks2-dev libnotify-dev hicolor-icon-theme libatasmart-dev
+ rarian-dev libxslt libsecret-dev libpwquality-dev"
+install=
+subpackages="$pkgname-dev $pkgname-libs $pkgname-ui-libs:uilibs $pkgname-lang"
+source="https://download.gnome.org/sources/gnome-disk-utility/${pkgver%.*}/gnome-disk-utility-$pkgver.tar.xz
+ fix-freeze.patch
+ exp2.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+}
+
+build () {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib/gnome-disk-utility \
+ --disable-scrollkeeper \
+ --disable-nautilus \
+ --disable-gtk-doc \
+ || return 1
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" -name '*.la' -delete
+}
+
+libs() {
+ pkgdesc="Shared libraries used by Palimpsest"
+ mkdir -p "$subpkgdir"/usr/lib \
+ "$subpkgdir"/usr/share
+ mv "$pkgdir"/usr/lib/libgdu.so.* "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/share/icons "$subpkgdir"/usr/share/
+}
+
+uilibs() {
+ pkgdesc="Shared libraries used by Palimpsest"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/libgdu-gtk.so.* "$subpkgdir"/usr/lib/
+}
+
+md5sums="93bba15aad7bd64f762f6914db2eba16 gnome-disk-utility-3.12.1.tar.xz
+c0161b09b620ef9c3975db400518eb1f fix-freeze.patch
+40b82bb896ae40352498ed3dadd2f3d6 exp2.patch"
+sha256sums="5994bfae57063d74be45736050cf166cda5b1600a599703240b641b39375718e gnome-disk-utility-3.12.1.tar.xz
+818b70360978968457d2c50738347c6726ed8d0c007eb57074881a7e33652526 fix-freeze.patch
+4be207e2c2a6773e3a2f5462929fe2e78352739fc4c5b7d1ee0998583db25710 exp2.patch"
+sha512sums="c1feb452955882beb64635e75594bc30acdc8fd4e102107b956e18a5bdea1b802b53464c4c4beef94eb22ad3ad7471b7bff17b566da6438247e5b05146e82ff3 gnome-disk-utility-3.12.1.tar.xz
+ba1ed4e5a318938545660f96157c35f901975555434db4f8a539b329b6c3489e84b0f7d5225acc38b30503049419ef79ccffcc0db59a40852cd28da6d17a0bd3 fix-freeze.patch
+e37da782de23287513956b32f6ea36f2ffb6fb7c931479e03171f494212720b34fa780c2d31b0080bb61d5031ee7ca086d366ca852b43ad8fcce92ed22b55b6b exp2.patch"